#include <gtk/gtk.h>
#include "about.h"

static GtkWidget *spc_about = NULL;

GtkWidget* create_spc_about (void) {
  GtkWidget *vbox1;
  GtkWidget *label1;
  GtkWidget *hseparator1;
  GtkWidget *hbox1;
  GtkWidget *button1;

  if (spc_about != NULL) {
    gdk_window_raise(spc_about->window);
    return spc_about;
  }

  spc_about = gtk_window_new (GTK_WINDOW_DIALOG);
  gtk_window_set_title (GTK_WINDOW (spc_about), "About sexySPC");
  gtk_window_set_default_size (GTK_WINDOW (spc_about), 180, 100);

  vbox1 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox1);
  gtk_container_add (GTK_CONTAINER (spc_about), vbox1);

  label1 = gtk_label_new ("sexySPC\n\nhttp://sexyspc.sourceforge.net");
  gtk_widget_show (label1);
  gtk_box_pack_start (GTK_BOX (vbox1), label1, TRUE, FALSE, 0);
  gtk_label_set_justify (GTK_LABEL (label1), GTK_JUSTIFY_CENTER);
  gtk_misc_set_padding (GTK_MISC (label1), 2, 2);

  hseparator1 = gtk_hseparator_new ();
  gtk_widget_show (hseparator1);
  gtk_box_pack_start (GTK_BOX (vbox1), hseparator1, FALSE, TRUE, 1);

  hbox1 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox1);
  gtk_box_pack_start (GTK_BOX (vbox1), hbox1, FALSE, FALSE, 6);

  button1 = gtk_button_new_with_label ("OK");
  gtk_widget_show (button1);
  gtk_box_pack_start (GTK_BOX (hbox1), button1, TRUE, FALSE, 0);
  gtk_widget_set_usize (button1, 50, -1);

  gtk_signal_connect_object ((gpointer) button1, "clicked",
                            GTK_SIGNAL_FUNC(gtk_widget_destroy),
                            GTK_OBJECT(spc_about));
  gtk_signal_connect(GTK_OBJECT(spc_about), "destroy", 
		     GTK_SIGNAL_FUNC(gtk_widget_destroyed), 
		     &spc_about);

  return spc_about;
}
